com.sun.jdi.event

## Interface MonitorWaitedEvent

- All Superinterfaces:
    Event, Locatable, LocatableEvent, Mirror

      @Exported
      public interface MonitorWaitedEvent
      extends LocatableEvent

  Notification that a thread in the target VM has finished waiting on an monitor object.

  Since:
    1.6
  See Also:
    `EventQueue`, `MonitorWaitEvent`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ObjectReference` | `monitor()` Returns the monitor object this thread waited on.
    `ThreadReference` | `thread()` Returns the thread in which this event has occurred.
    `boolean` | `timedout()` Returns whether the wait has timed out or been interrupted.

    - ### Methods inherited from interface com.sun.jdi.event.Event

      `request`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

    - ### Methods inherited from interface com.sun.jdi.Locatable

      `location`

- - ### Method Detail

    - #### thread

          ThreadReference thread()

      Returns the thread in which this event has occurred.

      Specified by:
        `thread` in interface `LocatableEvent`
      Returns:
        a `ThreadReference` which mirrors the event's thread in the target VM.

    - #### monitor

          ObjectReference monitor()

      Returns the monitor object this thread waited on.
      Returns:
        an `ObjectReference` for the monitor.

    - #### timedout

          boolean timedout()

      Returns whether the wait has timed out or been interrupted.
      Returns:
        `true` if the wait is timed out.

Copyright © 1999, 2015, Oracle and/or its affiliates. All rights reserved.